summaryrefslogtreecommitdiff
path: root/x11-wm
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-11-05 19:02:56 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-11-05 19:02:56 +0000
commit864ccd3aba62b24728eb0b963d8a1093555475c0 (patch)
treebb5a89762d7f5ee123655bf5cdf9406b27dc1759 /x11-wm
parent64f2ecf7f878941ddcb49fbeb10e26352844b683 (diff)
downloadbaldeagleos-repo-864ccd3aba62b24728eb0b963d8a1093555475c0.tar.gz
baldeagleos-repo-864ccd3aba62b24728eb0b963d8a1093555475c0.tar.xz
baldeagleos-repo-864ccd3aba62b24728eb0b963d8a1093555475c0.zip
Adding metadata
Diffstat (limited to 'x11-wm')
-rw-r--r--x11-wm/awesome/awesome-4.3-r103.ebuild3
-rw-r--r--x11-wm/awesome/awesome-4.3-r104.ebuild159
-rw-r--r--x11-wm/awesome/awesome-9999.ebuild50
-rw-r--r--x11-wm/awesome/files/awesome-4.3-cflag-cleanup.patch11
-rw-r--r--x11-wm/awesome/files/awesome-4.3-fix_cmake4.patch45
-rw-r--r--x11-wm/awesome/files/awesome-4.3-fix_target.patch27
-rw-r--r--x11-wm/awesome/files/awesome-client.187
-rw-r--r--x11-wm/awesome/files/awesome.1353
-rw-r--r--x11-wm/awesome/files/awesomerc.5103
9 files changed, 811 insertions, 27 deletions
diff --git a/x11-wm/awesome/awesome-4.3-r103.ebuild b/x11-wm/awesome/awesome-4.3-r103.ebuild
index 45e7cf5ff4ee..029a134328ea 100644
--- a/x11-wm/awesome/awesome-4.3-r103.ebuild
+++ b/x11-wm/awesome/awesome-4.3-r103.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -77,6 +77,7 @@ PATCHES=(
"${FILESDIR}"/${PN}-xsession.patch # bug #408025
"${FILESDIR}"/${PN}-4.0-cflag-cleanup.patch # bug #509658
"${FILESDIR}"/${PN}-4.3-fno-common.patch # bug #707262
+ "${FILESDIR}"/${PN}-4.3-fix_target.patch # bug #962597
)
src_configure() {
diff --git a/x11-wm/awesome/awesome-4.3-r104.ebuild b/x11-wm/awesome/awesome-4.3-r104.ebuild
new file mode 100644
index 000000000000..80c197950622
--- /dev/null
+++ b/x11-wm/awesome/awesome-4.3-r104.ebuild
@@ -0,0 +1,159 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1,3,4} luajit )
+inherit cmake desktop lua-single pax-utils
+
+if [[ ${PV} == *9999* ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/awesomeWM/${PN}.git"
+else
+ SRC_URI="https://github.com/awesomeWM/awesome-releases/raw/master/${P}.tar.xz"
+ KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+DESCRIPTION="Dynamic floating and tiling window manager"
+HOMEPAGE="https://awesomewm.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="dbus doc gnome test"
+
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+# Doesn't play nicely with the sandbox + requires an active D-BUS session
+RESTRICT="test"
+
+RDEPEND="
+ ${LUA_DEPS}
+ dev-libs/glib:2
+ dev-libs/libxdg-basedir
+ $(lua_gen_cond_dep 'dev-lua/lgi[${LUA_USEDEP}]')
+ x11-libs/cairo[X,xcb(+)]
+ x11-libs/gdk-pixbuf:2[introspection]
+ x11-libs/libxcb:=
+ x11-libs/pango[introspection]
+ x11-libs/startup-notification
+ x11-libs/xcb-util
+ x11-libs/xcb-util-cursor
+ x11-libs/xcb-util-keysyms
+ x11-libs/xcb-util-wm
+ x11-libs/xcb-util-xrm
+ x11-libs/libxkbcommon[X]
+ x11-libs/libX11
+ dbus? ( sys-apps/dbus )
+"
+DEPEND="
+ ${RDEPEND}
+ x11-base/xcb-proto
+ x11-base/xorg-proto
+ test? (
+ x11-base/xorg-server[xvfb]
+ $(lua_gen_cond_dep '
+ dev-lua/busted[${LUA_USEDEP}]
+ dev-lua/luacheck[${LUA_USEDEP}]
+ ')
+ )
+"
+# graphicsmagick's 'convert -channel' has no Alpha support, bug #352282
+BDEPEND="
+ media-gfx/imagemagick[png]
+ virtual/pkgconfig
+ doc? (
+ dev-lua/ldoc
+ dev-ruby/asciidoctor
+ )
+ test? (
+ app-shells/zsh
+ x11-apps/xeyes
+ )
+"
+
+# Skip installation of README.md by einstalldocs, which leads to broken symlink
+DOCS=()
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.0-convert-path.patch # bug #408025
+ "${FILESDIR}"/${PN}-xsession.patch # bug #408025
+ "${FILESDIR}"/${PN}-4.3-cflag-cleanup.patch # bug #509658
+ "${FILESDIR}"/${PN}-4.3-fno-common.patch # bug #707262
+ "${FILESDIR}"/${PN}-4.3-fix_cmake4.patch # bug #953942
+ "${FILESDIR}"/${PN}-4.3-fix_target.patch # bug #962597
+)
+
+src_prepare() {
+ cmake_src_prepare
+ if ! use doc; then
+ cp "${FILESDIR}"/awesome{.1,-client.1,rc.5} "${S}"/manpages/ || die
+ fi
+}
+
+src_configure() {
+ # Compression of manpages is handled by portage
+ local mycmakeargs=(
+ -DSYSCONFDIR="${EPREFIX}"/etc
+ -DCOMPRESS_MANPAGES=OFF
+ -DWITH_DBUS=$(usex dbus)
+ -DGENERATE_DOC=$(usex doc)
+ -DGENERATE_MANPAGES=$(usex doc)
+ -DAWESOME_DOC_PATH="${EPREFIX}"/usr/share/doc/${PF}
+ -DLUA_INCLUDE_DIR="$(lua_get_include_dir)"
+ -DLUA_LIBRARY="$(lua_get_shared_lib)"
+ )
+
+ [[ ${PV} != *9999* ]] && mycmakeargs+=( -DOVERRIDE_VERSION="v${PV}" )
+
+ cmake_src_configure
+}
+
+src_test() {
+ # awesome's test suite starts Xvfb by itself, no need for virtualx eclass
+ HEADLESS=1 cmake_build check -j1
+}
+
+src_install() {
+ cmake_src_install
+ rm "${ED}"/usr/share/doc/${PF}/LICENSE || die
+
+ pax-mark m "${ED}"/usr/bin/awesome
+
+ exeinto /etc/X11/Sessions
+ newexe "${FILESDIR}"/${PN}-session ${PN}
+
+ # GNOME-based awesome
+ if use gnome; then
+ # GNOME session
+ insinto /usr/share/gnome-session/sessions
+ newins "${FILESDIR}"/${PN}-gnome-3.session ${PN}-gnome.session
+
+ # Application launcher
+ domenu "${FILESDIR}"/${PN}-gnome.desktop
+
+ # X Session
+ insinto /usr/share/xsessions
+ doins "${FILESDIR}"/${PN}-gnome-xsession.desktop
+ fi
+
+ # use html subdir and precompiled manpages w/o doc enabled
+ if use doc; then
+ mv "${ED}"/usr/share/doc/${PF}/{doc,html} || die
+ else
+ doman "${S}"/manpages/awesome{.1,rc.5}
+ use dbus && doman "${S}"/manpages/awesome-client.1
+ fi
+}
+
+pkg_postinst() {
+ # bug #447308
+ if use gnome; then
+ elog "You have enabled the gnome USE flag."
+ elog "Please note that quitting awesome won't kill your gnome session."
+ elog "To really quit the session, you should bind your quit key"
+ elog "to the following command:"
+ elog " gnome-session-quit --logout"
+ elog "For more info visit"
+ elog " https://bugs.gentoo.org/show_bug.cgi?id=447308"
+ fi
+}
diff --git a/x11-wm/awesome/awesome-9999.ebuild b/x11-wm/awesome/awesome-9999.ebuild
index 8e1ba5118dd4..60d8ed130308 100644
--- a/x11-wm/awesome/awesome-9999.ebuild
+++ b/x11-wm/awesome/awesome-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -26,13 +26,15 @@ REQUIRED_USE="${LUA_REQUIRED_USE}"
# Doesn't play nicely with the sandbox + requires an active D-BUS session
RESTRICT="test"
-RDEPEND="${LUA_DEPS}
+RDEPEND="
+ ${LUA_DEPS}
dev-libs/glib:2
dev-libs/libxdg-basedir
$(lua_gen_cond_dep 'dev-lua/lgi[${LUA_USEDEP}]')
+ gnome-base/librsvg[introspection]
x11-libs/cairo[X,xcb(+)]
x11-libs/gdk-pixbuf:2[introspection]
- x11-libs/libxcb
+ x11-libs/libxcb:=
x11-libs/pango[introspection]
x11-libs/startup-notification
x11-libs/xcb-util
@@ -40,11 +42,12 @@ RDEPEND="${LUA_DEPS}
x11-libs/xcb-util-keysyms
x11-libs/xcb-util-wm
x11-libs/xcb-util-xrm
- x11-libs/libXcursor
x11-libs/libxkbcommon[X]
x11-libs/libX11
- dbus? ( sys-apps/dbus )"
-DEPEND="${RDEPEND}
+ dbus? ( sys-apps/dbus )
+"
+DEPEND="
+ ${RDEPEND}
x11-base/xcb-proto
x11-base/xorg-proto
test? (
@@ -53,21 +56,19 @@ DEPEND="${RDEPEND}
dev-lua/busted[${LUA_USEDEP}]
dev-lua/luacheck[${LUA_USEDEP}]
')
- )"
+ )
+"
# graphicsmagick's 'convert -channel' has no Alpha support, bug #352282
-# ldoc is used by invoking its executable, hence no need for LUA_SINGLE_USEDEP.
-# On the other hand, it means that we should explicitly depend on a version
-# migrated to Lua eclasses so that during the upgrade from unslotted
-# to slotted dev-lang/lua, the package manager knows to emerge migrated
-# ldoc before migrated awesome.
-BDEPEND="app-text/asciidoc
+BDEPEND="
+ dev-ruby/asciidoctor
media-gfx/imagemagick[png]
virtual/pkgconfig
- doc? ( >=dev-lua/ldoc-1.4.6-r100 )
+ doc? ( dev-lua/ldoc )
test? (
app-shells/zsh
x11-apps/xeyes
- )"
+ )
+"
# Skip installation of README.md by einstalldocs, which leads to broken symlink
DOCS=()
@@ -75,7 +76,7 @@ DOCS=()
PATCHES=(
"${FILESDIR}"/${PN}-4.0-convert-path.patch # bug #408025
"${FILESDIR}"/${PN}-xsession.patch # bug #408025
- "${FILESDIR}"/${PN}-4.0-cflag-cleanup.patch # bug #509658
+ "${FILESDIR}"/${PN}-4.3-cflag-cleanup.patch # bug #509658
)
src_configure() {
@@ -92,6 +93,9 @@ src_configure() {
-DLUA_INCLUDE_DIR="$(lua_get_include_dir)"
-DLUA_LIBRARY="$(lua_get_shared_lib)"
)
+
+ [[ ${PV} != *9999* ]] && mycmakeargs+=( -DOVERRIDE_VERSION="v${PV}" )
+
cmake_src_configure
}
@@ -123,8 +127,10 @@ src_install() {
doins "${FILESDIR}"/${PN}-gnome-xsession.desktop
fi
- # This directory contains SVG images which we don't want to compress
- use doc && docompress -x /usr/share/doc/${PF}/doc
+ # use html subdir
+ if use doc; then
+ mv "${ED}"/usr/share/doc/${PF}/{doc,html} || die
+ fi
}
pkg_postinst() {
@@ -138,12 +144,4 @@ pkg_postinst() {
elog "For more info visit"
elog " https://bugs.gentoo.org/show_bug.cgi?id=447308"
fi
-
- # bug #440724
- elog "If you are having issues with Java application windows being"
- elog "completely blank, try installing"
- elog " x11-misc/wmname"
- elog "and setting the WM name to LG3D."
- elog "For more info visit"
- elog " https://bugs.gentoo.org/show_bug.cgi?id=440724"
}
diff --git a/x11-wm/awesome/files/awesome-4.3-cflag-cleanup.patch b/x11-wm/awesome/files/awesome-4.3-cflag-cleanup.patch
new file mode 100644
index 000000000000..7106fbf4adbd
--- /dev/null
+++ b/x11-wm/awesome/files/awesome-4.3-cflag-cleanup.patch
@@ -0,0 +1,11 @@
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -98,7 +98,7 @@
+
+ # CFLAGS
+ set(AWESOME_C_FLAGS
+- -O1 -std=gnu99 -ggdb3 -fno-strict-aliasing -Wall -Wextra
++ -Wall -Wextra
+ -Wchar-subscripts -Wundef -Wshadow -Wcast-align -Wwrite-strings
+ -Wsign-compare -Wunused -Wno-unused-parameter -Wuninitialized -Winit-self
+ -Wpointer-arith -Wformat-nonliteral
diff --git a/x11-wm/awesome/files/awesome-4.3-fix_cmake4.patch b/x11-wm/awesome/files/awesome-4.3-fix_cmake4.patch
new file mode 100644
index 000000000000..c0b8e5955e88
--- /dev/null
+++ b/x11-wm/awesome/files/awesome-4.3-fix_cmake4.patch
@@ -0,0 +1,45 @@
+upstream is only 3.5 w/ https://github.com/awesomeWM/awesome/pull/4012.patch
+see https://bugs.gentoo.org/953942
+fix compat for cmake-4 and update to 3.10
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1,4 +1,4 @@
+-cmake_minimum_required(VERSION 3.0.0)
++cmake_minimum_required(VERSION 3.10)
+ project(awesome C)
+
+ # Require an out-of-source build. We generate an awesomerc.lua in the build dir
+--- a/tests/examples/CMakeLists.txt
++++ b/tests/examples/CMakeLists.txt
+@@ -14,7 +14,7 @@ if(NOT DEFINED PROJECT_NAME)
+ project(awesome-tests-examples NONE)
+ endif()
+
+-cmake_minimum_required(VERSION 3.0.0)
++cmake_minimum_required(VERSION 3.10)
+
+ # Get and update the LUA_PATH so the scripts can be executed without awesome.
+ execute_process(COMMAND ${LUA_EXECUTABLE} -e "p = package.path:gsub(';', '\\\\;'); io.stdout:write(p)"
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -17,10 +17,6 @@ endif()
+
+ set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS TRUE)
+
+-if(COMMAND cmake_policy)
+- cmake_policy(VERSION 2.6)
+-endif()
+-
+ set(SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
+ set(BUILD_DIR ${CMAKE_CURRENT_BINARY_DIR})
+
+--- a/awesomeConfig.cmake
++++ b/awesomeConfig.cmake
+@@ -357,6 +357,7 @@ add_custom_target(lgi-check-run ALL
+ add_custom_target(setup_directories DEPENDS lgi-check-run)
+
+ add_custom_command(TARGET setup_directories
++ POST_BUILD
+ COMMAND ${CMAKE_COMMAND} -E make_directory ${BUILD_DIR}/script_files/
+ COMMAND ${CMAKE_COMMAND} -E make_directory ${BUILD_DIR}/docs/common/
+ COMMAND ${CMAKE_COMMAND} -E make_directory ${BUILD_DIR}/doc/images/
diff --git a/x11-wm/awesome/files/awesome-4.3-fix_target.patch b/x11-wm/awesome/files/awesome-4.3-fix_target.patch
new file mode 100644
index 000000000000..481a156bf86b
--- /dev/null
+++ b/x11-wm/awesome/files/awesome-4.3-fix_target.patch
@@ -0,0 +1,27 @@
+backport https://github.com/blueyed/awesome/commit/cd94a1368786d9061b0f11e7a8d757b976a2697b.patch
+Include tests/examples/CMakeLists.txt always
+see https://bugs.gentoo.org/962597
+fix unavailable check-examples target without doc enabled
+--- a/awesomeConfig.cmake
++++ b/awesomeConfig.cmake
+@@ -275,15 +275,15 @@ if(GENERATE_DOC)
+ # Load the common documentation
+ include(docs/load_ldoc.cmake)
+
+- # Use `include`, rather than `add_subdirectory`, to keep the variables
+- # The file is a valid CMakeLists.txt and can be executed directly if only
+- # the image artefacts are needed.
+- include(tests/examples/CMakeLists.txt)
+-
+ # Generate the widget lists
+ include(docs/widget_lists.cmake)
+ endif()
+
++# Use `include`, rather than `add_subdirectory`, to keep the variables
++# The file is a valid CMakeLists.txt and can be executed directly if only
++# the image artefacts are needed.
++include(tests/examples/CMakeLists.txt)
++
+ # {{{ Configure files
+ file(GLOB awesome_base_c_configure_files RELATIVE ${SOURCE_DIR}
+ ${SOURCE_DIR}/*.c
diff --git a/x11-wm/awesome/files/awesome-client.1 b/x11-wm/awesome/files/awesome-client.1
new file mode 100644
index 000000000000..262d19bf13be
--- /dev/null
+++ b/x11-wm/awesome/files/awesome-client.1
@@ -0,0 +1,87 @@
+'\" t
+.\" Title: awesome-client
+.\" Author: [see the "AUTHOR(S)" section]
+.\" Generator: Asciidoctor 2.0.26
+.\" Date: 2019-01-28
+.\" Manual: \ \&
+.\" Source: \ \&
+.\" Language: English
+.\"
+.TH "AWESOME\-CLIENT" "1" "2019-01-28" "\ \&" "\ \&"
+.ie \n(.g .ds Aq \(aq
+.el .ds Aq '
+.ss \n[.ss] 0
+.nh
+.ad l
+.de URL
+\fI\\$2\fP <\\$1>\\$3
+..
+.als MTO URL
+.if \n[.g] \{\
+. mso www.tmac
+. am URL
+. ad l
+. .
+. am MTO
+. ad l
+. .
+. LINKSTYLE blue R < >
+.\}
+.SH "NAME"
+awesome-client \- awesome window manager remote execution
+.SH "SYNOPSIS"
+.sp
+awesome\-client [\-h|\-\-help] [command [command.\|.\|.]]
+.SH "DESCRIPTION"
+.sp
+awesome\-client is a remote command line interface to awesome.
+It communicates with awesome via D\-Bus, allowing remote execution of Lua code.
+.SH "USAGE"
+.sp
+awesome\-client reads commands passed on the command line or from standard input
+and sends them via D\-Bus to awesome.
+If \fIrlwrap\fP is installed, it will be used to provide a readline command line
+interface.
+.sp
+The \fIawful.remote\fP module has to be loaded if you want this command to work.
+.SH "EXAMPLES"
+.sp
+.if n .RS 4
+.nf
+.fam C
+$ awesome\-client \*(Aqreturn 1+1, "Hello, world"\(rs
+ double 2
+ string "Hello, world"
+
+# The following does not return anything on the command line,
+# but will show a notification.
+$ awesome\-client \*(Aq
+> naughty = require("naughty")
+> naughty.notify({
+> title="CLI Notification",
+> text="This is a notification sent from the command line!"})
+> \*(Aq
+
+# Entering read\-eval\-print\-loop mode
+# This mode will send every line to awesome, exactly the same as passing
+# multiple commands on the command line.
+$ awesome\-client
+awesome# return 1+1
+ double 2
+awesome# return 1+1, "Hello, world"
+ double 2
+ string "Hello, world"
+awesome#
+.fam
+.fi
+.if n .RE
+.SH "SEE ALSO"
+.sp
+awesome(1) awesomerc(5)
+.SH "AUTHORS"
+.sp
+Julien Danjou \c
+.MTO "julien\(atdanjou.info" "" ""
+.SH "WWW"
+.sp
+.URL "https://awesomewm.org" "" "" \ No newline at end of file
diff --git a/x11-wm/awesome/files/awesome.1 b/x11-wm/awesome/files/awesome.1
new file mode 100644
index 000000000000..c3552734084d
--- /dev/null
+++ b/x11-wm/awesome/files/awesome.1
@@ -0,0 +1,353 @@
+'\" t
+.\" Title: awesome
+.\" Author: [see the "AUTHOR(S)" section]
+.\" Generator: Asciidoctor 2.0.26
+.\" Date: 2019-01-28
+.\" Manual: \ \&
+.\" Source: \ \&
+.\" Language: English
+.\"
+.TH "AWESOME" "1" "2019-01-28" "\ \&" "\ \&"
+.ie \n(.g .ds Aq \(aq
+.el .ds Aq '
+.ss \n[.ss] 0
+.nh
+.ad l
+.de URL
+\fI\\$2\fP <\\$1>\\$3
+..
+.als MTO URL
+.if \n[.g] \{\
+. mso www.tmac
+. am URL
+. ad l
+. .
+. am MTO
+. ad l
+. .
+. LINKSTYLE blue R < >
+.\}
+.SH "NAME"
+awesome \- awesome window manager
+.SH "SYNOPSIS"
+.sp
+\fBawesome\fP [\fB\-v\fP | \fB\-\-version\fP] [\fB\-h\fP | \fB\-\-help\fP] [\fB\-c\fP | \fB\-\-config\fP \fIFILE\fP] [\fB\-k\fP | \fB\-\-check\fP] [\fB\-\-search\fP \fIDIRECTORY\fP] [\fB\-a\fP | \fB\-\-no\-argb\fP] [\fB\-r\fP | *\-\-replace]
+.SH "DESCRIPTION"
+.sp
+\fBawesome\fP is a window manager for X. It manages windows in different layouts, like
+floating or tiled. Any layout can be applied dynamically, optimizing the
+environment for the application in use and the task currently being performed.
+.sp
+In a tiled layout, windows are managed in a master and stacking area. The master
+area contains the windows which currently need the most attention, whereas the
+stacking area contains all other windows. In a floating layout windows can be
+resized and moved freely. Dialog windows are always managed as floating,
+regardless of the layout currently applied. The spiral and dwindle layouts are
+special cases of the tiled layout where the stacking area is arranged in a
+spiral for the former or as a rectangular fractal for the later.
+.sp
+Windows are grouped by tags in awesome. Each window can be tagged with one or
+more tags. Selecting certain tags displays all windows with these tags.
+.sp
+\fBawesome\fP can contain small wiboxes which can display anything you want:
+all available tags, the current layout, the title of the visible windows, text, etc.
+.SH "OPTIONS"
+.sp
+\fB\-v\fP, \fB\-\-version\fP
+.RS 4
+Print version information to standard output, then exit.
+.RE
+.sp
+\fB\-h\fP, \fB\-\-help\fP
+.RS 4
+Print help information, then exit.
+.RE
+.sp
+\fB\-c\fP, \fB\-\-config\fP \fIFILE\fP
+.RS 4
+Use an alternate configuration file instead of \fI$XDG_CONFIG_HOME/awesome/rc.lua\fP.
+.RE
+.sp
+\fB\-k\fP, \fB\-\-check\fP
+.RS 4
+Check configuration file syntax.
+.RE
+.sp
+\fB\-\-search\fP
+.RS 4
+Add a directory to the library search path.
+.RE
+.sp
+\fB\-a\fP, \fB\-\-no\-argb\fP
+.RS 4
+Don\(cqt use ARGB visuals.
+.RE
+.sp
+\fB\-r\fP, \fB\-\-replace\fP
+.RS 4
+Replace an existing window manager.
+.RE
+.SH "DEFAULT MOUSE BINDINGS"
+.SS "Navigation"
+.sp
+\fBButton1\fP on tag name
+.RS 4
+View tag.
+.RE
+.sp
+\fBButton4\fP, \fBButton5\fP on tag name
+.RS 4
+Switch to previous or next tag.
+.RE
+.sp
+\fBButton4\fP, \fBButton5\fP on root window
+.RS 4
+Switch to previous or next tag.
+.RE
+.sp
+\fBButton1\fP, \fBButton3\fP, \fBButton4\fP, \fBButton5\fP on layout symbol
+.RS 4
+Switch to previous or next layout.
+.RE
+.SS "Layout modification"
+.sp
+\fBMod4 + Button1\fP on tag name
+.RS 4
+Tag current client with this tag only.
+.RE
+.sp
+\fBMod4 + Button3\fP on tag name
+.RS 4
+Toggle this tag for client.
+.RE
+.sp
+\fBButton3\fP on tag name
+.RS 4
+Add this tag to current view.
+.RE
+.sp
+\fBMod4 + Button1\fP on client window
+.RS 4
+Move window.
+.RE
+.sp
+\fBMod4 + Button3\fP on client window
+.RS 4
+Resize window.
+.RE
+.SH "DEFAULT KEY BINDINGS"
+.SS "Help"
+.sp
+\fBMod4 + s\fP
+.RS 4
+Show currently assigned key bindings.
+.RE
+.SS "Window manager control"
+.sp
+\fBMod4 + Control + r\fP
+.RS 4
+Restart \fBawesome\fP.
+.RE
+.sp
+\fBMod4 + Shift + q\fP
+.RS 4
+Quit \fBawesome\fP.
+.RE
+.sp
+\fBMod4 + r\fP
+.RS 4
+Run prompt.
+.RE
+.sp
+\fBMod4 + x\fP
+.RS 4
+Run Lua code prompt.
+.RE
+.sp
+\fBMod4 + Return\fP
+.RS 4
+Spawn terminal emulator.
+.RE
+.sp
+\fBMod4 + w\fP
+.RS 4
+Open main menu.
+.RE
+.SS "Clients"
+.sp
+\fBMod4 + m\fP
+.RS 4
+Maximize client.
+.RE
+.sp
+\fBMod4 + n\fP
+.RS 4
+Minimize client.
+.RE
+.sp
+\fBMod4 + Control + n\fP
+.RS 4
+Restore client.
+.RE
+.sp
+\fBMod4 + f\fP
+.RS 4
+Set client fullscreen.
+.RE
+.sp
+\fBMod4 + Shift + c\fP
+.RS 4
+Kill focused client.
+.RE
+.sp
+\fBMod4 + t\fP
+.RS 4
+Set client on\-top.
+.RE
+.SS "Navigation"
+.sp
+\fBMod4 + j\fP
+.RS 4
+Focus next client.
+.RE
+.sp
+\fBMod4 + k\fP
+.RS 4
+Focus previous client.
+.RE
+.sp
+\fBMod4 + u\fP
+.RS 4
+Focus first urgent client.
+.RE
+.sp
+\fBMod4 + Left\fP
+.RS 4
+View previous tag.
+.RE
+.sp
+\fBMod4 + Right\fP
+.RS 4
+View next tag.
+.RE
+.sp
+\fBMod4 + 1\-9\fP
+.RS 4
+Switch to tag 1\-9.
+.RE
+.sp
+\fBMod4 + Control + j\fP
+.RS 4
+Focus next screen.
+.RE
+.sp
+\fBMod4 + Control + k\fP
+.RS 4
+Focus previous screen.
+.RE
+.sp
+\fBMod4 + Escape\fP
+.RS 4
+Focus previously selected tag set.
+.RE
+.SS "Layout modification"
+.sp
+\fBMod4 + Shift + j\fP
+.RS 4
+Switch client with next client.
+.RE
+.sp
+\fBMod4 + Shift + k\fP
+.RS 4
+Switch client with previous client.
+.RE
+.sp
+\fBMod4 + o\fP
+.RS 4
+Send client to next screen.
+.RE
+.sp
+\fBMod4 + h\fP
+.RS 4
+Decrease master width factor by 5%.
+.RE
+.sp
+\fBMod4 + l\fP
+.RS 4
+Increase master width factor by 5%.
+.RE
+.sp
+\fBMod4 + Shift + h\fP
+.RS 4
+Increase number of master windows by 1.
+.RE
+.sp
+\fBMod4 + Shift + l\fP
+.RS 4
+Decrease number of master windows by 1.
+.RE
+.sp
+\fBMod4 + Control + h\fP
+.RS 4
+Increase number of columns for non\-master windows by 1.
+.RE
+.sp
+\fBMod4 + Control + l\fP
+.RS 4
+Decrease number of columns for non\-master windows by 1.
+.RE
+.sp
+\fBMod4 + space\fP
+.RS 4
+Switch to next layout.
+.RE
+.sp
+\fBMod4 + Shift + space\fP
+.RS 4
+Switch to previous layout.
+.RE
+.sp
+\fBMod4 + Control + space\fP
+.RS 4
+Toggle client floating status.
+.RE
+.sp
+\fBMod4 + Control + Return\fP
+.RS 4
+Swap focused client with master.
+.RE
+.sp
+\fBMod4 + Control + 1\-9\fP
+.RS 4
+Toggle tag view.
+.RE
+.sp
+\fBMod4 + Shift + 1\-9\fP
+.RS 4
+Tag client with tag.
+.RE
+.sp
+\fBMod4 + Shift + Control + 1\-9\fP
+.RS 4
+Toggle tag on client.
+.RE
+.SH "CUSTOMIZATION"
+.sp
+\fBawesome\fP is customized by creating a custom \fI$XDG_CONFIG_HOME/awesome/rc.lua\fP file.
+.SH "SIGNALS"
+.sp
+\fBawesome\fP can be restarted by sending it a SIGHUP.
+.SH "SEE ALSO"
+.sp
+\fBawesomerc\fP(5) \fBawesome\-client\fP(1)
+.SH "BUGS"
+.sp
+Of course there\(cqs no bug in \fBawesome\fP. But there may be unexpected behaviors.
+.SH "AUTHORS"
+.sp
+Julien Danjou \c
+.MTO "julien\(atdanjou.info" "" ""
+and others.
+.SH "WWW"
+.sp
+.URL "https://awesomewm.org" "" "" \ No newline at end of file
diff --git a/x11-wm/awesome/files/awesomerc.5 b/x11-wm/awesome/files/awesomerc.5
new file mode 100644
index 000000000000..e50f96a6e216
--- /dev/null
+++ b/x11-wm/awesome/files/awesomerc.5
@@ -0,0 +1,103 @@
+'\" t
+.\" Title: awesomerc
+.\" Author: [see the "AUTHOR(S)" section]
+.\" Generator: Asciidoctor 2.0.26
+.\" Date: 2019-01-28
+.\" Manual: \ \&
+.\" Source: \ \&
+.\" Language: English
+.\"
+.TH "AWESOMERC" "5" "2019-01-28" "\ \&" "\ \&"
+.ie \n(.g .ds Aq \(aq
+.el .ds Aq '
+.ss \n[.ss] 0
+.nh
+.ad l
+.de URL
+\fI\\$2\fP <\\$1>\\$3
+..
+.als MTO URL
+.if \n[.g] \{\
+. mso www.tmac
+. am URL
+. ad l
+. .
+. am MTO
+. ad l
+. .
+. LINKSTYLE blue R < >
+.\}
+.SH "NAME"
+awesomerc \- Configuration file for the awesome window manager
+.SH "SYNOPSIS"
+.sp
+\fBawesome\fP looks for a configuration file in this order:
+.sp
+.RS 4
+.ie n \{\
+\h'-04'\(bu\h'+03'\c
+.\}
+.el \{\
+. sp -1
+. IP \(bu 2.3
+.\}
+$XDG_CONFIG_HOME/awesome/rc.lua
+.RE
+.sp
+.RS 4
+.ie n \{\
+\h'-04'\(bu\h'+03'\c
+.\}
+.el \{\
+. sp -1
+. IP \(bu 2.3
+.\}
+$HOME/.config/awesome/rc.lua
+.RE
+.sp
+.RS 4
+.ie n \{\
+\h'-04'\(bu\h'+03'\c
+.\}
+.el \{\
+. sp -1
+. IP \(bu 2.3
+.\}
+$XDG_CONFIG_DIRS/awesome/rc.lua
+.RE
+.SH "DESCRIPTION"
+.sp
+The \fBrc.lua\fP file contains configuration information for \fBawesome\fP. It can
+be used to configure the behavior and look of awesome in a variety of ways.
+It can be assimilated as a Lua program/script run at startup by \fBawesome\fP.
+Therefore, it should use the awesome Lua API described in the API section.
+This file is read at startup.
+.SH "AWESOME LUA API"
+.sp
+Documentation for the Lua API can be found in the luadoc directory.
+.SH "COLORS FORMAT"
+.sp
+The color format in \fBawesome\fP is either a standard X color name
+(blue, darkblue, lightred, etc) or a hexadecimal formatted color (#rrggbb
+or #rrggbbaa).
+By using the hexadecimal format, you can also specify an alpha channel:
+that means that #00ff00 will draw pure green, but #00ff00aa will set the
+alpha channel to \(oqaa\(cq and will blend the green with the color under it.
+.SH "TEXT FORMAT"
+.sp
+You can use Pango markup in a text string.
+This allows formatting the text rendered inside widgets.
+Pango markup documentation can be found in the Pango documentation at
+.URL "http://library.gnome.org/devel/pango/stable/PangoMarkupFormat.html" "" "."
+.sp
+A Pango markup example: <span weight="bold" foreground="#336699">.\|.\|.</span>.
+.SH "SEE ALSO"
+.sp
+awesome(1) awesome\-client(1)
+.SH "AUTHORS"
+.sp
+Written by Julien Danjou \c
+.MTO "julien\(atdanjou.info" "" "."
+.SH "WWW"
+.sp
+.URL "https://awesomewm.org" "" "" \ No newline at end of file